import {
  actions_default
} from "./chunk-XVIONLEF.js";

// src/plop.ts
import url from "url";
var templateRoot = url.fileURLToPath(new URL("../templates", import.meta.url));
var addTemplates = function(basePlop) {
  const plop = actions_default(basePlop);
  plop.setGenerator("sidebase", {
    description: "Scaffold a new sidebase project",
    prompts: [
      {
        type: "input",
        name: "projectPath",
        message: "Where should the project be created?"
      },
      {
        type: "confirm",
        name: "server",
        message: "Would you like to use a server?",
        default: false
      },
      {
        type: "list",
        name: "ci",
        message: "Which CI would you like to use?",
        choices: ["github-actions", "none"]
      }
    ],
    actions: (data) => {
      let actions = [];
      actions = actions.concat(
        {
          type: "copy",
          src: `${templateRoot}/sidebase-main/`,
          dest: `${data == null ? void 0 : data.projectPath}/`
        }
      );
      if (data == null ? void 0 : data.server) {
        actions = actions.concat(
          {
            type: "copy",
            src: `${templateRoot}/with-server/`,
            dest: `${data == null ? void 0 : data.projectPath}/`
          },
          {
            type: "mergeJSON",
            primaryJSONFile: `${templateRoot}/sidebase-main/package.json`,
            secondaryJSONFile: `${templateRoot}/with-server/package.json`,
            dest: `${data == null ? void 0 : data.projectPath}/package.json`
          }
        );
      }
      if ((data == null ? void 0 : data.ci) === "github-actions") {
        actions = actions.concat({
          type: "add",
          path: "{{projectPath}}/.github/workflows/ci.yaml",
          templateFile: `${templateRoot}/github-actions/.github/workflows/ci.yaml`,
          abortOnFail: false
        });
      }
      return actions;
    }
  });
  return plop;
};
var plop_default = addTemplates;

export {
  plop_default
};
