// src/prompts.ts
import prompts from "prompts";
var PROMPT_QUESTIONS = [
  {
    type: "text",
    name: "projectName",
    message: "What should the project be called?"
  },
  {
    type: "select",
    name: "ci",
    message: "Which CI would you like to use?",
    choices: [
      { title: "GitHub Actions", description: "Run your CI with GitHub actions.", value: "github-actions" },
      { title: "No CI", description: "Scaffold a project without any CI pipeline", value: "none" }
    ],
    initial: 0
  }
];
var onCancel = () => {
  console.info("Aborting execution, bye bye \u{1F44B}");
  process.exit();
};
var getUserInput = async function() {
  const response = await prompts(PROMPT_QUESTIONS, { onCancel });
  return {
    projectName: response.projectName,
    server: response.server,
    ci: response.ci
  };
};

export {
  getUserInput
};
