// src/actions.ts
import fs from "fs-extra";
import defu from "defu";
var addActions = function(plop) {
  plop.setActionType("copy", (answers, config, plop2) => {
    const srcDir = plop2.renderString(config.src, answers);
    const destDir = plop2.renderString(config.dest, answers);
    fs.copySync(srcDir, destDir, { overwrite: false });
    return "success";
  });
  plop.setActionType("mergeJSON", async (answers, config, plop2) => {
    const primaryJSONFile = plop2.renderString(config.primaryJSONFile, answers);
    const secondaryJSONFile = plop2.renderString(config.secondaryJSONFile, answers);
    const primaryJSON = await fs.readJson(primaryJSONFile);
    const secondaryJSON = await fs.readJson(secondaryJSONFile);
    const combinedJSON = defu(primaryJSON, secondaryJSON);
    await fs.writeJson(config.dest, combinedJSON);
    return "success";
  });
  return plop;
};
var actions_default = addActions;

export {
  actions_default
};
