#!/usr/bin/env node
import {
  generateSuccessMessage,
  generateWelcomeMessage
} from "./chunk-B4LNSUSA.js";
import {
  plop_default
} from "./chunk-CXK6OXKT.js";
import "./chunk-XVIONLEF.js";
import {
  getUserInput
} from "./chunk-VZKQTK54.js";

// src/index.ts
import nodePlop from "node-plop";
(async () => {
  generateWelcomeMessage();
  const answers = await getUserInput();
  const plop = await nodePlop();
  const plopWithTemplates = plop_default(plop);
  const sidebaseGenerator = plopWithTemplates.getGenerator("sidebase");
  const projectPath = `${process.cwd()}/${answers.projectName}`;
  sidebaseGenerator.runActions({ projectPath, ci: answers.ci, server: false }).then(function(results) {
    if (results.failures.length !== 0) {
      console.error("An error has occurred while scaffolding your project.");
      return console.log("Errors:", results.failures);
    }
    generateSuccessMessage(answers.projectName);
  });
})();
