"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/plop.ts
var plop_exports = {};
__export(plop_exports, {
  default: () => plop_default
});
module.exports = __toCommonJS(plop_exports);
var import_url = __toESM(require("url"), 1);

// src/actions.ts
var import_fs_extra = __toESM(require("fs-extra"), 1);
var import_defu = __toESM(require("defu"), 1);
var addActions = function(plop) {
  plop.setActionType("copy", (answers, config, plop2) => {
    const srcDir = plop2.renderString(config.src, answers);
    const destDir = plop2.renderString(config.dest, answers);
    import_fs_extra.default.copySync(srcDir, destDir, { overwrite: false });
    return "success";
  });
  plop.setActionType("mergeJSON", async (answers, config, plop2) => {
    const primaryJSONFile = plop2.renderString(config.primaryJSONFile, answers);
    const secondaryJSONFile = plop2.renderString(config.secondaryJSONFile, answers);
    const primaryJSON = await import_fs_extra.default.readJson(primaryJSONFile);
    const secondaryJSON = await import_fs_extra.default.readJson(secondaryJSONFile);
    const combinedJSON = (0, import_defu.default)(primaryJSON, secondaryJSON);
    await import_fs_extra.default.writeJson(config.dest, combinedJSON);
    return "success";
  });
  return plop;
};
var actions_default = addActions;

// src/plop.ts
var import_meta = {};
var templateRoot = import_url.default.fileURLToPath(new URL("../templates", import_meta.url));
var addTemplates = function(basePlop) {
  const plop = actions_default(basePlop);
  plop.setGenerator("sidebase", {
    description: "Scaffold a new sidebase project",
    prompts: [
      {
        type: "input",
        name: "projectPath",
        message: "Where should the project be created?"
      },
      {
        type: "confirm",
        name: "server",
        message: "Would you like to use a server?",
        default: false
      },
      {
        type: "list",
        name: "ci",
        message: "Which CI would you like to use?",
        choices: ["github-actions", "none"]
      }
    ],
    actions: (data) => {
      let actions = [];
      actions = actions.concat(
        {
          type: "copy",
          src: `${templateRoot}/sidebase-main/`,
          dest: `${data == null ? void 0 : data.projectPath}/`
        }
      );
      if (data == null ? void 0 : data.server) {
        actions = actions.concat(
          {
            type: "copy",
            src: `${templateRoot}/with-server/`,
            dest: `${data == null ? void 0 : data.projectPath}/`
          },
          {
            type: "mergeJSON",
            primaryJSONFile: `${templateRoot}/sidebase-main/package.json`,
            secondaryJSONFile: `${templateRoot}/with-server/package.json`,
            dest: `${data == null ? void 0 : data.projectPath}/package.json`
          }
        );
      }
      if ((data == null ? void 0 : data.ci) === "github-actions") {
        actions = actions.concat({
          type: "add",
          path: "{{projectPath}}/.github/workflows/ci.yaml",
          templateFile: `${templateRoot}/github-actions/.github/workflows/ci.yaml`,
          abortOnFail: false
        });
      }
      return actions;
    }
  });
  return plop;
};
var plop_default = addTemplates;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
