"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/prompts.ts
var prompts_exports = {};
__export(prompts_exports, {
  getUserInput: () => getUserInput
});
module.exports = __toCommonJS(prompts_exports);
var import_prompts = __toESM(require("prompts"), 1);
var PROMPT_QUESTIONS = [
  {
    type: "text",
    name: "projectName",
    message: "What should the project be called?"
  },
  {
    type: "select",
    name: "ci",
    message: "Which CI would you like to use?",
    choices: [
      { title: "GitHub Actions", description: "Run your CI with GitHub actions.", value: "github-actions" },
      { title: "No CI", description: "Scaffold a project without any CI pipeline", value: "none" }
    ],
    initial: 0
  }
];
var onCancel = () => {
  console.info("Aborting execution, bye bye \u{1F44B}");
  process.exit();
};
var getUserInput = async function() {
  const response = await (0, import_prompts.default)(PROMPT_QUESTIONS, { onCancel });
  return {
    projectName: response.projectName,
    server: response.server,
    ci: response.ci
  };
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getUserInput
});
